## org.apache.poi.ss.formula
Class SharedFormula

    java.lang.Object
      org.apache.poi.ss.formula.SharedFormula

    public class SharedFormula

extends java.lang.Object

Encapsulates logic to convert shared formulaa into non shared equivalent

Constructor Summary
`SharedFormula(SpreadsheetVersion ssVersion)`

Method Summary
`Ptg[]` `convertSharedFormulas(Ptg[] ptgs, int formulaRow, int formulaColumn)` Creates a non shared formula from the shared formula counterpart, i.e.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SharedFormula

    public SharedFormula(SpreadsheetVersion ssVersion)

Method Detail

### convertSharedFormulas

    public Ptg[] convertSharedFormulas(Ptg[] ptgs,
                                       int formulaRow,
                                       int formulaColumn)

  Creates a non shared formula from the shared formula counterpart, i.e. Converts the shared formula into the equivalent `Ptg` array that it would have, were it not shared.

  Parameters:
    `ptgs` - parsed tokens of the shared formula
    `formulaRow` -
    `formulaColumn` -

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.